Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ssaglobal.generator.engine
Class FreeMarkerEngine

    java.lang.Object
      com.ssaglobal.generator.TemplateEngine
          com.ssaglobal.generator.engine.FreeMarkerEngine

    public class FreeMarkerEngine

extends TemplateEngine

Wrapper for the FreeMarker template engine

Nested Class Summary
`static class` | `FreeMarkerEngine.BundleTemplateLoader`

Field Summary

Fields inherited from class com.ssaglobal.generator.TemplateEngine
`generator`

Method Summary
`static FreeMarkerEngine` | `getInstance(Generator generator)` Get an instance of the FreeMarker engine
`java.lang.String` | `process(org.eclipse.emf.ecore.EObject object, java.lang.String templatePath, java.util.HashMap helpers)` Invoke a template on a model object

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### process

    public java.lang.String process(org.eclipse.emf.ecore.EObject object,
                                    java.lang.String templatePath,
                                    java.util.HashMap helpers)

  Description copied from class: `TemplateEngine`
  Invoke a template on a model object

  Specified by:
    `process` in class `TemplateEngine`
  Parameters:
    `object` - the model object to be processed by the template
    `templatePath` - the path to the template to be processed. Note that path is relative to the path specified in the `templateRoot` element of the `controlData` parameter passed to the constructor
    `helpers` - helper classes required by the template to augment the data model
  Returns:
    the result of processing the template

### getInstance

    public static FreeMarkerEngine getInstance(Generator generator)

  Get an instance of the FreeMarker engine

  Parameters:
    `generator` -
  Returns:
    FreeMarkerEngine

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD